function Th = InverseChiSquarePfa( K, PfaT )

% Starting point
Th = -2*log( PfaT );

Niter = 1000;
Pfa = 0;
ii = 1;

while abs( PfaT - Pfa ) > 1e-3 * PfaT,
    Pfa = ChiSquarePfa( K, Th );
    pdf = ChiSquarePdf( K, Th );
    
    Th = Th + ( Pfa - PfaT )/ pdf;
    
    ii = ii + 1;
    if ii > Niter,
        break;
    end
end